Multivariate Pattern Analysis in Python

# mvpa2.atlases.LabelsAtlas

class `mvpa2.atlases.``LabelsAtlas`(*args, **kwargs)

  Atlas which provides labels for the given coordinate

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `nlevels` |
  `origin` |
  `resolution` |
  `space` |
  `spaceT` |
  `space_flavor` |
  `version` |
  `voxdim` |

  Methods

  Initialize instance of PyMVPAAtlas

  Parameters:

  filename : str

  > Filename for the xml definition of the atlas

  resolution : None or float

  > Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution

  image_file : None or str

  > If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps

  coordT

  > Optional transformation to apply first

  default_levels : None or slice or list of int

  > What levels by default to operate on

  load_maps : bool

  > Load spatial maps for the atlas.

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `nlevels` |
  `origin` |
  `resolution` |
  `space` |
  `spaceT` |
  `space_flavor` |
  `version` |
  `voxdim` |

  Methods

  `label_voxel`(c, levels=None)

    Return labels for the given voxel at specified levels specified by index